import java.applet.Applet;
import java.io.*;
import java.util.StringTokenizer;
import java.lang.*;
import javax.swing.*;
import javax.swing.event.*;
import java.awt.event.*;

public class WinningGUI extends Applet
{
    String PATH;
    static ComradesFrame RF;
    int POLL_DELAY = 100; // 0.1s

    public void ProcessConfig (String STRING)
    {
	StringTokenizer ST = new StringTokenizer (STRING);
	if (!ST.hasMoreTokens ()) // HACK
	    return;
	String S = ST.nextToken ();
    }

    public void LoadStartup ()
    {
	PATH = getClass ().getProtectionDomain ().getCodeSource ().
	    getLocation ().toString ();
    }

    public void RunLoop ()
    {
        Timer T = new Timer (POLL_DELAY, new ActionListener ()
            {
                public void actionPerformed (ActionEvent evt)
                {
		    if (RF.COMM_INST != null)
			RF.COMM_INST.InstanceThread ();		    
                    ((Timer) (evt.getSource ())).restart ();
                }
            }
            );
	//        T.start (); // nominal
    }

    public String PromptUser (boolean WINDOWS)
    {
	File FILE;
	while (true)
	    {
		JFileChooser JFC;
		if (!WINDOWS) JFC = new JFileChooser (new File("PROOFS/"));
                else JFC = new JFileChooser (System.getProperty ("user.dir"));
		int Value =  JFC.showOpenDialog (JFC);
		if (Value != JFileChooser.APPROVE_OPTION)
		    continue;
		FILE = JFC.getSelectedFile ();
		if (!FILE.exists()) System.exit(0);
		return FILE.getAbsolutePath();
	    }
    }

    public void MakeComradesFrame (String[] Arguments)
    {
     String A,S; boolean WINDOWS=false;
     if (System.getProperty("os.name").startsWith("Windows")) WINDOWS=true;
     if (Arguments == null || Arguments.length == 0) A = "";
     else A = " " + Arguments[0];
     if (Arguments.length == 0) A = " " + PromptUser(WINDOWS);
     if (Arguments!=null && Arguments.length==1 && Arguments[0].equals("-"))
     {JTextField J=new JTextField(80); JPanel panel=new JPanel(); panel.add(J);
      int r=JOptionPane.showConfirmDialog
	  (null, panel, "WinningGUI Command",JOptionPane.OK_CANCEL_OPTION);
      if (r==JOptionPane.OK_OPTION) A=J.getText(); else System.exit(0);
      RF = new ComradesFrame(A,false,true,false,false);
      RF.RUN_COMMAND=new String(A); new CommunicatorInstance(RF); return;}
     RF = new ComradesFrame (A,false,true,false,false);
     if (WINDOWS) S=new String("C:\\LOSING_CHESS\\PARSE_WIN.exe");
     else S=new String("../parse");
     RF.RUN_COMMAND = new String(S+A); new CommunicatorInstance (RF);}

    public static void LookAndFeel ()
    {
	try 
	    {
		UIManager.setLookAndFeel
		    (UIManager.getCrossPlatformLookAndFeelClassName ());
	    }
	catch (Exception exc)
	    {
	    }
    }

    public static void main (String[] Arguments)
    {
	LookAndFeel (); // uniformed
	WinningGUI RE = new WinningGUI ();
	RE.MakeComradesFrame (Arguments);
	RE.RunLoop ();
    }

}
