import java.applet.Applet;
import java.io.*;
import java.util.StringTokenizer;
import java.lang.*;
import javax.swing.*;
import javax.swing.event.*;
import java.awt.event.*;

public class ClusterGUI extends Applet
{
    String PATH;
    static ComradesFrame RF;
    int POLL_DELAY = 1000; // 1s

    public void RunLoop ()
    {
        Timer T = new Timer (POLL_DELAY, new ActionListener ()
            {
                public void actionPerformed (ActionEvent evt)
                {
		    if (RF.COMM_INST != null)
			RF.COMM_INST.InstanceThread ();
                    ((Timer) (evt.getSource ())).restart ();
                }
            }
            );
        T.start (); // nominal
    }

    public void MakeComradesFrame (String[] Arguments)
    {
	String A;
	if (Arguments == null || Arguments.length == 0) A = "";
	else A = " " + Arguments[0];
	RF = new ComradesFrame (A, Arguments.length == 1, false,true,false);
	RF.RUN_COMMAND = new String("../ClusterMaster" + RF.BOOK_NAME);
	if (Arguments.length!=1) RF.RUN_COMMAND += " 0";
	new CommunicatorInstance (RF);
	RF.TryLoadSlaves();
    }

    public static void LookAndFeel ()
    {
	try 
	    {
		UIManager.setLookAndFeel (UIManager.getCrossPlatformLookAndFeelClassName ()); // uniformed
	    }
	catch (Exception exc)
	    {
	    }
    }

    public static void main (String[] Arguments)
    {
	LookAndFeel (); // uniformed
	ClusterGUI RE = new ClusterGUI ();
	RE.MakeComradesFrame (Arguments);
	RE.RunLoop ();
    }

}
