
#include "TBbuild.h"

extern const uint64 EPtable[8];

uint8 get_ep_score(typePOS *POSITION,type_PiSq *PiSq,uint16 mv) // GROAN
{int i,k,c,fr,to,cp; uint16 LIST[256]; type_PiSq PiSq2[1]; uint8 bv=0xff;
 uint64 A; uint8 Value; uint32 u;
 fr=FROM(mv); to=TO(mv);
 for (k=0;k<PiSq->n;k++) if (PiSq->sq[k]==fr) break;
 A=EPtable[FILE(PiSq->sq[k])]&bBitboardP;
 while (A) // loop over ep caps
 {CLONE_PISQ(PiSq2,PiSq); cp=BSF(A); A&=(A-1);   
  for (c=0;c<PiSq->n;c++) if (PiSq->sq[c]==cp && PiSq->pi[c]==bEnumP) break;
  PiSq2->sq[c]=PiSq->sq[k]+8; PiSq2->n--;
  PiSq2->pi[k]=PiSq2->pi[PiSq2->n]; PiSq2->sq[k]=PiSq2->sq[PiSq2->n];
  if (!TB_PiSq_score(PiSq2,&Value))
    {printf("GEH %d %d %d %d ",to,fr,k,c);
      DUMP_PISQ(PiSq); DUMP_PISQ(PiSq2); raise(SIGTRAP);}
  if (DISK_SCORE_IS_LOSS(Value)) return dWIN;
  if (Value<bv) bv=Value;} // no ep capture wins for black
 POSITION->sq[to]=wEnumP; POSITION->sq[fr]=0; POSITION->wtm=FALSE;
 wBitboardOcc^=SqSet[to]^SqSet[fr]; wBitboardP^=SqSet[to]^SqSet[fr];
 POSITION->OccupiedBW=wBitboardOcc|bBitboardOcc;
 uint64 x; int mc=GenMoveList(POSITION,LIST,&x);
 u=(!mc) || (!POSITION->sq[TO(LIST[0])]);
 POSITION->sq[to]=0; POSITION->sq[fr]=wEnumP; POSITION->wtm=TRUE;
 wBitboardOcc^=SqSet[fr]^SqSet[to]; wBitboardP^=SqSet[to]^SqSet[fr];
 POSITION->OccupiedBW=wBitboardOcc|bBitboardOcc;
 if (u) return (bv==dDRAW) ? dDRAW : dLOST0; // black has no non-ep captures
 CLONE_PISQ(PiSq2,PiSq);
 for (k=0;k<PiSq->n;k++) if (PiSq->sq[k]==fr) break;
 PiSq2->sq[k]=to; PiSq2->wtm=FALSE; uint8 bv2=bv;
 for (i=0;i<mc;i++) // loop over non-ep caps                                  
 {u=MakePiSqCap(PiSq2,LIST[i]);
  if (!TB_PiSq_score(PiSq2,&Value))
  {printf("cap/ep %o\n",LIST[i]); DUMP_PISQ(PiSq);
   DUMP_PISQ(PiSq2); raise(SIGTRAP);}
  UndoPiSqCap(PiSq2,u); if (Value>bv2) bv2=Value;}
 if (DISK_SCORE_IS_LOSS(bv2)) return dWIN; // Black wins via a non-ep cap
 if (DISK_SCORE_IS_DRAW(bv2)) return dDRAW; return dLOST0;}

static void try_register_name(char *s)
{canonical_name(s); // in place
 if (RegisterTB(s,"LCTB/2/")) {printf("Registered %s\n",s); return;}
 if (RegisterTB(s,"LCTB/3/")) {printf("Registered %s\n",s); return;}
 if (RegisterTB(s,"LCTB/4/")) {printf("Registered %s\n",s); return;}
 if (RegisterTB(s,"LCTB/5/")) {printf("Registered %s\n",s); return;}
 if (RegisterTB(s,"LCTB/6/")) {printf("Registered %s\n",s); return;}
 if (RegisterTB(s,"LCTB/41/")) {printf("Registered %s\n",s); return;}
 if (RegisterTB(s,"LCTB/32/")) {printf("Registered %s\n",s); return;}
 printf("FAILED to register %s\n",s);}

void TB_validate(char *A)
{char B[64]; int n,v,j,i; uint64 ind,ep; TableBase *TB; uint8 va,sq,v2,bv;
 type_PiSq PiSq[1]; typePOS POSITION[1]; uint32 u; uint16 ML[256]; uint64 cnt;
 strcpy(B,A); n=canonical_name(B);
 v=TB_lookup(B); if (v==-1 || v==0x3fff) try_register_name(B);
 v=TB_lookup(B); TB=TB_TABLE+(v&0x3fff);
 printf("Validating %s\n",B); cnt=0;
 POSITION->DYN_ROOT=malloc(MAXIMUM_PLY*sizeof(typeDYNAMIC));
 POSITION->DYN=POSITION->DYN_ROOT+1; PiSq->ep=0;
 for (ind=0;ind<TB->size;ind++)
 {va=TB_value(TB,ind); if (va==dBROKEN) continue; cnt++;
  FORCE_POS(TB,ind,PiSq); PiSq->wtm=TRUE;
  for (sq=A1;sq<=H8;sq++) POSITION->sq[sq]=0;
  for (j=0;j<PiSq->n;j++)
    if (PiSq->pi[j]) POSITION->sq[PiSq->sq[j]]=PiSq->pi[j];
  POSITION->DYN->reversible=POSITION->DYN->ep=0;
  BITBOARD(POS,PiSq);
  n=GenMoveList(POS,ML,&ep); bv=0x0; if (!n) bv=0xff;
  if (!n && va!=dWIN)
  {printf("No moves, not WON %lld\n",u); DUMP_PISQ(PiSq); exit(1);}
  for (i=0;i<n;i++)
  {if (POSITION->sq[FROM(ML[i])]==wEnumP &&
       SqSet[TO(ML[i])]&ep && TO(ML[i])==FROM(ML[i])+16)
   {v2=get_ep_score(POS,PiSq,ML[i]); if (v2>bv) bv=v2; continue;}
   if (POSITION->sq[TO(ML[i])]) u=MakePiSqCap(PiSq,ML[i]);
   else if (ML[i]>>12) u=MakePiSqProm(PiSq,ML[i]);
   else MakePiSqPlain(PiSq,ML[i]);
   if (!TB_PiSq_score(PiSq,&v2)) {printf("BAD %lld %o\n",ind,ML[i]); exit(1);}
   if (v2>bv) bv=v2;
   if (POSITION->sq[TO(ML[i])]) UndoPiSqCap(PiSq,u);
   else if (ML[i]>>12) UndoPiSqProm(PiSq,ML[i]);
   else UndoPiSqPlain(PiSq,ML[i]);}
  if (DISK_SCORE_IS_WIN(va) && !DISK_SCORE_IS_LOSS(bv))
    {printf("BAD1 %lld %d %d\n",ind,va,bv); DUMP_PISQ(PiSq);}
  if (DISK_SCORE_IS_DRAW(va) && !DISK_SCORE_IS_DRAW(bv))
    {printf("BAD2 %lld %d %d\n",ind,va,bv); DUMP_PISQ(PiSq);}
  if (DISK_SCORE_IS_LOSS(va) && !DISK_SCORE_IS_WIN(bv))
    {printf("BAD3 %lld %d %d\n",ind,va,bv); DUMP_PISQ(PiSq);}}
 printf("Validated %lld/%lld positions\n",cnt,TB->size); fflush(stdout);}
