
#include <stdio.h>
#include <stdlib.h>
#define uint64 unsigned long long int
#define uint32 unsigned int
#define uint16 unsigned short int
#define uint8 unsigned char
#define FROM(s) (((s) >> 6) & 077)
#define TO(s) ((s) & 077)
#define TRUE 1
#define FALSE 0

typedef struct
{uint32 good,bad,size; uint32 trans,loop; uint32 parent,sibling,child;
 uint16 move; uint8 killer,flags; float rat; uint64 hash;} PN_NODE;

static void LoadNode(FILE *F,PN_NODE *P)
{fread(&(P->good),4,1,F); fread(&(P->bad),4,1,F); fread(&(P->size),4,1,F);
 fread(&P->hash,8,1,F); fread(&(P->trans),4,1,F); fread(&(P->loop),4,1,F);
 fread(&(P->parent),4,1,F); fread(&(P->sibling),4,1,F);
 fread(&(P->child),4,1,F); fread(&(P->move),2,1,F);
 fread(&(P->killer),1,1,F); fread(&(P->flags),1,1,F);}

static char* Notate(char *M,uint16 move)
{int fr,to; char c[16]="01nbrqk7"; fr=FROM(move); to=TO(move);
 if (move==0xfedc) {sprintf(M,"NULL"); return M;} // is d7 to e3
 if (move==0xedc) {sprintf(M,"NULL"); return M;} // is d7 to e3
 if ((move>>12)>8 || (move>>12)==7) move^=0xf000; // hack for unsolved proof
 sprintf(M,"%c%c%c%c",'a'+(fr&7),'1'+((fr>>3)&7),'a'+(to&7),'1'+((to>>3)&7));
 if (move&(7<<12)) sprintf (M+4,"%c",c[move>>12]); return M;}

static void procit(PN_NODE *P,uint32 u)
{char N[8]; if (u==1) return;
 printf("%d %s (%d) ",u,Notate(N,P->move),P->parent);
 if (!P->good) printf("[LOST] "); if (!P->bad) printf("[WON] ");
 if (P->good && P->bad) printf("[%d/%d] ",P->good,P->bad);
 if (P->child) printf("CHILD %d ",P->child);
 if (P->sibling) printf("SIBLING %d",P->sibling);
 if (P->trans!=u) printf("TRANS %d",P->trans);
 if (!P->child && !P->sibling && P->trans==u) printf("TERMINAL ");
 printf("\n");}

static void dump(char *S)
{FILE *F; PN_NODE *P; uint64 u,sz;
 F=fopen(S,"r"); if (!F) {printf("File %s not found\n",S); exit(1);}
 P=malloc(64); LoadNode(F,P); sz=P->size;
 for (u=1;u<sz;u++) {LoadNode(F,P); procit(P,u);}}

int main(int argc,char **argv) {dump(argv[1]); return 0;}

// could output in traversal order?
